Subject: sinusitis

From: [email-masked] (Sarah Rutt)
Date: 18 Jan 1995 09:36:19 GMT

My father has had very bad sinusitis for many years. The doctor said it is
sometimes facial migraine as well. He had a very painful operation to try
and cure it, and it has not worked at all, despite a high success rate. I
was wondering if anyone can recommend any herbs or ANYTHING that could help
relieve the problem. At the moment he has the highest dose of pain killer
available without being in hospital which he has to take whenever the
headaches come on... and i think he would prefer something that is less
damaging to the system. However he does tend to be a bit of a skeptic...
but anything's worth a try.
Thanx,
Sarah